---
title: RTCIceParameters
slug: Web/API/RTCIceParameters
tags:
  - API
  - Candidate
  - Connectivity
  - Dictionary
  - ICE
  - Interface
  - Negotiation
  - RTCIceParameters
  - Reference
  - Transport
  - WebRTC
  - WebRTC API
  - password
  - ufrag
  - username
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <code><strong>RTCIceParameters</strong></code> dictionary specifies the username fragment and password assigned to an {{Glossary("ICE")}} session.</span> During ICE negotiation, each peer's username fragment and password are recorded in an <code>RTCIceParameters</code> object, which can be obtained from the {{domxref("RTCIceTransport")}} by calling its {{domxref("RTCIceTransport.getLocalParameters", "getLocalParameters()")}} or {{domxref("RTCIceTransport.getRemoteParameters", "getRemoteParameters()")}} method, depending on which end interests you.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("RTCIceParameters.usernameFragment", "usernameFragment")}}</dt>
 <dd>A {{domxref("DOMString")}} specifying the value of the ICE session's username fragment field, <code>ufrag</code>.</dd>
 <dt>{{domxref("RTCIceParameters.password", "password")}}</dt>
 <dd>A {{domxref("DOMString")}} specifying the session's password string.</dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>The username fragment and password uniquely identify the remote peer for the duration of the ICE session, and are used to both ensure security and to avoid crosstalk across multiple ongoing ICE sessions. See {{domxref("RTCIceCandidate.usernameFragment")}} for further information.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#rtciceparameters', 'RTCIceParameters')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceParameters")}}</p>
